Search Accounts
Search for Account entities.
This endpoint executes a search query for Accounts based on the user specified search criteria. The search query is customizable, allowing for complex nested conditions and sorting. The returned list of Accounts can be paginated for easier management.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the Organization.
Query Parameters
Query for data using special syntax:
- Query parameters should be delimited using the $ (dollar sign).
- Allowed comparators are:
- (greater than) >
- (greater than or equal to) >=
- (equal to) :
- (less than) <
- (less than or equal to) <=
- (match phrase/prefix) ~
- Allowed parameters are: name, code, currency, purchaseOrderNumber, parentAccountId, codes, id, createdBy, dtCreated, lastModifiedBy, ids.
- Query example:
- searchQuery=name~Premium On$currency:USD.
- This query is translated into: find accounts whose name contains the phrase/prefix 'Premium On' AND the account currency is USD.
Note: Using the ~ match phrase/prefix comparator. For best results, we recommend treating this as a "starts with" comparator for your search query.
fromDocument for multi page retrievals.
Number of Accounts to retrieve per page.
NOTE: If not defined, default is 10.
1 <= x <= 100Search Operator to be used while querying search.
AND, OR Name of the parameter on which sorting is performed. Use any field available on the Account entity to sort by, such as name, code, and so on.
Sorting order.
ASC, DESC